module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[die]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={args={},func_name=[[MagcAnimStart]],start_time=0.3,},
		[4]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.8,
		},
		[5]={args={},func_name=[[MagcAnimEnd]],start_time=1.4,},
		[6]={
			args={
				alive_time=0.6,
				begin_pos={base_pos=[[atk]],depth=1,relative_angle=0,relative_dis=-1.5,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=false,
					magic_layer=[[top]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=1,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
				move_time=0.4,
			},
			func_name=[[ShootEffect]],
			start_time=1.5,
		},
		[7]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.8,
		},
		[8]={
			args={
				alive_time=0.5,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[bottom]],
					path=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.8,
		},
		[9]={args={},func_name=[[End]],start_time=2,},
	},
	group_cmds={},
	magic_anim_end_time=1.4,
	magic_anim_start_time=0.3,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_fly1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_513/Prefabs/513_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
